SDL Visual Test

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
SDL_visualtest_variators.h File Reference
`#include "SDL_visualtest_exhaustive_variator.h"`
`#include "SDL_visualtest_random_variator.h"`

Go to the source code of this file.

## Data Structures
struct | SDLVisualTest_Variator

## Typedefs
typedef struct SDLVisualTest_Variator | SDLVisualTest_Variator

## Functions
int | SDLVisualTest_InitVariator (SDLVisualTest_Variator *variator, SDLVisualTest_SUTConfig *config, SDLVisualTest_VariatorType type, Uint64 seed)
char * | SDLVisualTest_GetNextVariation (SDLVisualTest_Variator *variator)
void | SDLVisualTest_FreeVariator (SDLVisualTest_Variator *variator)

## Detailed Description

Header for all the variators that vary input parameters to a SUT application.

## Typedef Documentation

typedef struct SDLVisualTest_Variator SDLVisualTest_Variator

Struct that acts like a wrapper around the different types of variators available.

## Function Documentation

void SDLVisualTest_FreeVariator | ( | SDLVisualTest_Variator * | variator) |  |

Frees any resources associated with the variator.

char* SDLVisualTest_GetNextVariation | ( | SDLVisualTest_Variator * | variator) |  |

Gets the next variation using the variator.

Returns
  The arguments string representing the variation on success, and NULL on failure. The pointer returned should not be freed.

int SDLVisualTest_InitVariator | ( | SDLVisualTest_Variator * | variator,
|  | SDLVisualTest_SUTConfig * | config,
|  | SDLVisualTest_VariatorType | type,
|  | Uint64 | seed
| ) |  |

Initializes the variator object pointed to by `variator` of type `type` with information from the config object pointed to by `config`.

Returns
  1 on success, 0 on failure